# react-native-stripe-integration

## Getting started

`$ npm install react-native-stripe-integration --save`

### Mostly automatic installation

`$ react-native link react-native-stripe-integration`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-stripe-integration` and add `StripeIntegration.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libStripeIntegration.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainApplication.java`
  - Add `import com.reactlibrary.StripeIntegrationPackage;` to the imports at the top of the file
  - Add `new StripeIntegrationPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-stripe-integration'
  	project(':react-native-stripe-integration').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-stripe-integration/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-stripe-integration')
  	```


## Usage
```javascript
import StripeIntegration from 'react-native-stripe-integration';

// TODO: What to do with the module?
StripeIntegration;
```
